### Signal

# Gdk Display::setting-changed

since: 4.0

#### Declaration

    void
    setting_changed (
      GdkDisplay* self,
      gchar* setting,
      gpointer user_data
    )

#### Description [src]

Emitted whenever a setting changes its value.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`setting`

  Type: `gchar*`

  The name of the setting that changed.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.